using System;

namespace ConsoleApp9
{
    class Program
    {
        class pom
        {
            public Int32 zarada;
            public double porez;
        }
        static void Main(string[] args)
        {
            int x = Convert.ToInt32(Console.ReadLine());
            pom[] niz = new pom[x];
            double ukupnazarada=0;
            for (int i = 0; i < x; i++)
            {
                niz[i].zarada = Convert.ToInt32(Console.ReadLine());
                ukupnazarada = ukupnazarada + niz[i].zarada;
                niz[i].porez = Convert.ToDouble(Console.ReadLine());
            }
            double maks = 0;
            for (int i = 0; i < x; i++)
            {
                double pomzar = ukupnazarada;
                for (int j = 0; j < x; j++)
                {
                   if(niz[j].porez <niz[i].porez)
                    {
                        pomzar = pomzar - niz[j].zarada; 
                    }
                }
                if (maks < pomzar * niz[i].porez / 100) maks = pomzar * niz[i].porez / 100;
            }
            Console.WriteLine(maks);
        }
    }
}